Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2011-3457

Overview

Vulnerability Score 7.5 7.5
CVE Id CVE-2011-3457
Last Modified 21 Sep 2012 11:25:41
Published 02 Feb 2012 01:55:01
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2011-3457

Summary

The OpenGL implementation in Apple Mac OS X before 10.7.3 does not properly perform OpenGL Shading Language (aka GLSL) compilation, which allows remote attackers to execute arbitrary code or cause a denial of service (memory corruption and application crash) via a crafted program.

Vulnerable Systems

Operating System

  • Apple Mac Os X 10.6.0

  • Apple Mac Os X 10.6.1

  • Apple Mac Os X 10.6.2

  • Apple Mac Os X 10.6.3

  • Apple Mac Os X 10.6.4

  • Apple Mac Os X 10.6.5

  • Apple Mac Os X 10.6.6

  • Apple Mac Os X 10.6.7

  • Apple Mac Os X 10.6.8

  • Apple Mac Os X 10.7.0

  • Apple Mac Os X 10.7.1

  • Apple Mac Os X 10.7.2

  • Apple Mac Os X Server 10.6.0

  • Apple Mac Os X Server 10.6.1

  • Apple Mac Os X Server 10.6.2

  • Apple Mac Os X Server 10.6.3

  • Apple Mac Os X Server 10.6.4

  • Apple Mac Os X Server 10.6.5

  • Apple Mac Os X Server 10.6.6

  • Apple Mac Os X Server 10.6.7

  • Apple Mac Os X Server 10.6.8

  • Apple Mac Os X Server 10.7.0

  • Apple Mac Os X Server 10.7.1

  • Apple Mac Os X Server 10.7.2


References

CONFIRM - http://support.apple.com/kb/HT5130

APPLE - APPLE-SA-2012-02-01-1

CONFIRM - http://support.apple.com/kb/HT5503

APPLE - APPLE-SA-2012-09-19-1

Related Patches

Apple 2012-02-01 Mac OS X Server 10.7.3 Update

Apple 2012-02-01 Mac OS X 10.7.3 Update

Apple 2012-02-01 Mac OS X Server 10.7.3 Combo Update

Apple 2012-02-01 Mac OS X 10.7.3 Combo Update

Apple 2012-02-01 Security Update 2012-001 v1.1 Server (Snow Leopard)

Apple 2012-02-01 Security Update 2012-001 v1.1 (Snow Leopard)


Last Updated: 27 May 2016 10:57:24